#include <config.h>

#include "songinfo.h"

SongInfo *
songinfo_song_new (void)
{
	SongInfo *info;

	info = g_new (SongInfo, 1);

	info->song = NULL;
	info->artist = NULL;
	info->filename = NULL;

	info->bitrate = 0;
	info->time = 0;
	info->size = 0;

	return info;
}

void
songinfo_song_free (SongInfo *info)
{
	if (info == NULL)
		return;

	if (info->song != NULL)
		g_free (info->song);
	if (info->artist != NULL)
		g_free (info->artist);
	if (info->filename != NULL)
		g_free (info->filename);

	g_free (info);
}
